@charset "UTF-8";

/* =========================================================
  category, docs
========================================================= */

/* contentGpCategoryCategoryTypes, contentGpCategoryCategoryType
----------------------------------------------- */
.contentGpCategoryCategoryTypes section,
.contentGpCategoryCategoryType section {
  margin-bottom: min(40px,5vw);
}

.contentGpCategoryCategoryType section ul {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(3, auto);
  gap: 5px min(89px,5vw);
  padding: 20px 8px 0;
}

.contentGpCategoryCategoryType section li {
  padding-left: 15px;
  background: url(/_themes/kosodate/site/images/arrow.svg) left 0.3em no-repeat;
}

.contentGpCategoryCategoryType section li a {
  color: inherit;
}

.contentGpCategoryCategoryType section li a:hover {
  text-decoration: underline;
}

@media only screen and (max-width: 834px) {
  .contentGpCategoryCategoryType section ul {
    display: flex;
    flex-direction: column;
  }
}

/* contentGpCategoryCategory
----------------------------------------------- */
.contentGpCategoryCategory {
  display: flex;
  flex-wrap: wrap;
  gap: min(40px,5vw) 60px;
}

.contentGpCategoryCategory section {
  flex-basis: calc((100% - 60px) / 2);
}

.contentGpCategoryCategory section:only-child {
  flex-grow: 1;
}

@media only screen and (max-width: 834px) {
  .contentGpCategoryCategory {
    flex-direction: column;
  }
}

/* h2
----------------------------------------------- */
.contentGpCategoryCategoryTypes section h2,
.contentGpCategoryCategoryType section h2,
.contentGpCategory section h2 {
  padding: 0 8px;
  border-bottom: 4px solid #F2A7AB;
  font-weight: 700;
  font-size: 1.875rem;
}

.contentGpCategoryCategoryTypes section h2 a,
.contentGpCategoryCategoryType section h2 a,
.contentGpCategory section h2 a {
  color: inherit;
}

.contentGpCategoryCategoryTypes section h2 a:hover,
.contentGpCategoryCategoryType section h2 a:hover,
.contentGpCategory section h2 a:hover {
  text-decoration-line: underline;
  text-decoration-color: var(--ac-color-pink-2);
  text-decoration-style: solid;
  text-decoration-thickness: 10px;
  text-underline-offset: -2px;
}

@media only screen and (max-width: 834px) {
  .contentGpCategoryCategoryTypes section h2,
  .contentGpCategoryCategoryType section h2,
  .contentGpCategory section h2 {
    font-size: max(1.375rem,4vw);
  }
}

/* docs
----------------------------------------------- */
.contentGpCategoryCategory .docs li a,
.contentGpArticleDocs .docs li a {
  display: flex;
  flex-direction: column;
  gap: 4px;
  padding: 16px 8px;
  border-bottom: 1px dotted var(--mono-color-7);
  color: inherit;
}

.contentGpCategoryCategory .docs li a .update_date,
.contentGpArticleDocs .docs li a .update_date {
  color: #676767;
}

.contentGpCategoryCategory .docs li a:hover .title,
.contentGpArticleDocs .docs li a:hover .title {
  text-decoration: underline;
}

/* pageTitle
----------------------------------------------- */
body[id*="ninshinMukete"] #pageTitle .pieceContainer::before {
  transform: scale(1.2);
  background-image: url(/_themes/kosodate/site/images/mokuteki/illust_konotori.png);
  background-position: center center;
}

body[id*="ninshinShussan"] #pageTitle .pieceContainer::before {
  transform: scale(1.2);
  background-image: url(/_themes/kosodate/site/images/mokuteki/illust_ninshin.png);
  background-position: center center;
}

body[id*="kenshinIryo"] #pageTitle .pieceContainer::before {
  transform: scale(1.2);
  background-image: url(/_themes/kosodate/site/images/mokuteki/illust_kenshin.png);
  background-position: center center;
}

body[id*="teateJosei"] #pageTitle .pieceContainer::before {
  transform: scale(1.2);
  background-image: url(/_themes/kosodate/site/images/mokuteki/illust_teate.png);
  background-position: center center;
}

body[id*="kyoshitsuSodan"] #pageTitle .pieceContainer::before {
  transform: scale(1.2);
  background-image: url(/_themes/kosodate/site/images/mokuteki/illust_soudan.png);
  background-position: center center;
}

body[id*="asobuManabu"] #pageTitle .pieceContainer::before {
  transform: scale(1.2);
  background-image: url(/_themes/kosodate/site/images/mokuteki/illust_asobu.png);
  background-position: center center;
}

body[id*="bosaiKeikaku"] #pageTitle .pieceContainer::before {
  transform: scale(1.2);
  background-image: url(/_themes/kosodate/site/images/mokuteki/illust_bosai.png);
  background-position: center center;
}

body[id*="tennyuTenshutsu"] #pageTitle .pieceContainer::before {
  transform: scale(1.2);
  background-image: url(/_themes/kosodate/site/images/mokuteki/illust_tennyu.png);
  background-position: center center;
}
